%define		kdever	4.7.2
%define		qtver	4.7.4
%define		orgname	bluedevil
%define		state	stable

# git archive --format=tar --remote=git://anongit.kde.org/bluedevil bluez5  \
# --prefix=bluedevil-%{version}/ | bzip2 >libbluedevil-%{version}-%{snap}.tar.bz2
%define		snap	20131218

Summary:	KDE Bluetooth framework
Summary(pl.UTF-8):	Podstawowe środowisko KDE Bluetooth
Name:		kde4-bluedevil
Version:	2.0.0
Release:	0.%{snap}.1
Epoch:		1
License:	GPL
Group:		X11/Applications
#Source0:	ftp://ftp.kde.org/pub/kde/%{state}/bluedevil/%{version}/src/%{orgname}-%{version}.tar.xz
Source0:	%{orgname}-%{version}-%{snap}.tar.bz2
# Source0-md5:	5030d655be2b1d0b4ec5d083b6881c67
URL:		http://www.afiestas.org/
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	libbluedevil-devel >= 2.0
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	shared-mime-info
Requires:	bluez >= 5.0
Obsoletes:	kde4-kdebluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BlueDevil is a set of components, which integrates bluetooth within
the KDE SC, for example adding a system preference module (KCM), or
allowing to browse the files in a cell phone from you favorite file
browser.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

#%find_lang %{orgname}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

#%files -f %{orgname}.lang
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bluedevil-audio
%attr(755,root,root) %{_bindir}/bluedevil-input
%attr(755,root,root) %{_bindir}/bluedevil-monolithic
%attr(755,root,root) %{_bindir}/bluedevil-network-dun
%attr(755,root,root) %{_bindir}/bluedevil-network-panu
%attr(755,root,root) %{_bindir}/bluedevil-sendfile
%attr(755,root,root) %{_bindir}/bluedevil-wizard
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-requestconfirmation
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-requestpin
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-authorize
%attr(755,root,root) %{_libdir}/kde4/libexec/bluedevil-confirmmodechange
%{_datadir}/apps/bluedevil
%{_datadir}/apps/bluedevilwizard
%{_datadir}/mime/packages/bluedevil-mime.xml
%{_datadir}/kde4/servicetypes/actionplugin.desktop
%{_datadir}/kde4/services/bluedevil-audio.desktop
%{_datadir}/kde4/services/bluedevil-input.desktop
%{_datadir}/kde4/services/bluedevil-network-dun.desktop
%{_datadir}/kde4/services/bluedevil-network-panu.desktop
%{_datadir}/kde4/services/bluedeviladapters.desktop
%{_datadir}/kde4/services/bluedevildevices.desktop
%{_datadir}/kde4/services/bluedevilsendfile.desktop
%{_datadir}/kde4/services/bluedeviltransfer.desktop
%{_datadir}/kde4/services/bluetooth.protocol
%{_datadir}/kde4/services/obexftp.protocol
%{_datadir}/kde4/services/sendfile.desktop
%{_datadir}/kde4/services/kded/bluedevil.desktop
%{_datadir}/kde4/services/kded/obexftpdaemon.desktop
%{_desktopdir}/kde4/bluedevil-audio.desktop
%{_desktopdir}/kde4/bluedevil-input.desktop
%{_desktopdir}/kde4/bluedevil-monolithic.desktop
%{_desktopdir}/kde4/bluedevil-network-dun.desktop
%{_desktopdir}/kde4/bluedevil-network-panu.desktop
%{_desktopdir}/kde4/bluedevil-sendfile.desktop
%{_desktopdir}/kde4/bluedevil-wizard.desktop
%attr(755,root,root) %{_libdir}/libbluedevilaction.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilaudioactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilinputactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilnetworkdunactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilnetworkpanuactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/bluedevilsendfileactionplugin.so
%attr(755,root,root) %{_libdir}/kde4/bluetoothfiletiemaction.so
%attr(755,root,root) %{_libdir}/kde4/kcm_bluedeviladapters.so
%attr(755,root,root) %{_libdir}/kde4/kcm_bluedevildevices.so
%attr(755,root,root) %{_libdir}/kde4/kcm_bluedeviltransfer.so
%attr(755,root,root) %{_libdir}/kde4/kded_bluedevil.so
%attr(755,root,root) %{_libdir}/kde4/kded_obexftpdaemon.so
%attr(755,root,root) %{_libdir}/kde4/kio_bluetooth.so
%attr(755,root,root) %{_libdir}/kde4/kio_obexftp.so
%changelog
* Wed Dec 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-bluedevil.git;a=log;h=master

* Wed Dec 18 2013 Jan Rękorajski <baggins@pld-linux.org> 8531317
- put snap in release
- epoch 1

* Wed Dec 18 2013 Jan Rękorajski <baggins@pld-linux.org> 88f068d
- updated to 2.0.0 snaphost supporting bluez5

* Tue Sep 24 2013 Lukasz Masko <lmasko@pld-linux.org> 63fa050
- Small fix in %setup

* Tue Sep 24 2013 Lukasz Masko <lmasko@pld-linux.org> ce85288
- Up to 1.3.2.
- Source archive on droppin for now, because original archive has
  a strange path in it.

* Sat Aug 03 2013 Lukasz Masko <lmasko@pld-linux.org> 8476609
- Maintnance update to 1.3.1.

* Fri Mar 22 2013 Mariusz Mazur <mmazur@pld-linux.org> 4f1c2ad
- Up to 1.3; stbr

* Tue Oct 09 2012 Karol Krenski <charles@pld-linux.org> e5e838b
- up to 1.2.4

* Sun Sep 02 2012 Karol Krenski <charles@pld-linux.org> 0d641b6
- up to 1.2.3

* Sun Oct 16 2011 Andrzej Augustyński <august84@pld-linux.org> 755ba0d
- up to 1.2.2

* Tue Oct 04 2011 lmasko <lmasko@pld-linux.org> 5422669
- Up to 1.2.1.

* Tue Sep 13 2011 Andrzej Augustyński <august84@pld-linux.org> 12e4124
- up to 1.2

* Wed Aug 24 2011 Andrzej Augustyński <august84@pld-linux.org> 353945c
- remove unsupported locales: sr@ijekavian, sr@ijekavianlatin

* Sun Jul 31 2011 lmasko <lmasko@pld-linux.org> 4dfee2e
- Up to 1.1.1.

* Mon Apr 18 2011 lmasko <lmasko@pld-linux.org> b5c06f6
- Up to 1.1.

* Thu Apr 14 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 5084079
- up to 1.0.4

* Mon Mar 28 2011 Bartłomiej Zimoń <cactus@pld-linux.org> fc8f1b4
- up to 1.0.3

* Wed Feb 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8fd8b99
- up to 1.0.2

* Wed Jan 19 2011 shadzik <shadzik@pld-linux.org> d4f0e5a
- define qtver when you use it!!!!
- adjusted to new macro

* Mon Jan 17 2011 Karol Krenski <charles@pld-linux.org> 8ab284f
- rel. 1

* Mon Jan 17 2011 Karol Krenski <charles@pld-linux.org> 24140c1
- BR: gettex-devel
- rm TODO

